Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Delete a document and its stored file.
cURL
curl --request DELETE \ --url https://api.squadvault.xyz/v1/documents/{documentId} \ --header 'x-api-key: <api-key>'
const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}}; fetch('https://api.squadvault.xyz/v1/documents/{documentId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.squadvault.xyz/v1/documents/{documentId}" headers = {"x-api-key": "<api-key>"} response = requests.delete(url, headers=headers) print(response.text)
200
Example
{ "success": true }
Organization API key from Settings → API keys.
Document deleted
true
Was this page helpful?